Compare commits
51 commits
feature/va
...
rawhide
| Author | SHA1 | Date | |
|---|---|---|---|
|
|
7ff3142dec | ||
|
|
8ffd4aa838 | ||
|
|
cd03cfd35e | ||
|
|
e41ead8384 | ||
|
|
d58a4cf02b | ||
|
|
f606762777 | ||
|
|
a460dffebc | ||
|
|
23d6618718 | ||
|
|
76544a522a | ||
|
|
de6c53e2cc | ||
|
|
8b1129d9ad | ||
|
|
6ea465b0a4 | ||
|
|
81d3684180 | ||
|
|
0393f737dc | ||
|
|
0d3cd07b01 | ||
|
|
0755613f99 | ||
|
|
bfdd7a9fdc | ||
|
|
2364b8f829 | ||
|
|
10488a6706 | ||
|
|
6ed3472197 | ||
|
|
fb9883a65a | ||
|
|
29ad285f00 | ||
|
|
882c27d51d | ||
|
|
73ede280ee | ||
|
|
ffd7bda46a | ||
|
|
96e882feaf | ||
|
|
e27e672ae5 | ||
|
|
330de345c7 | ||
|
|
0c6c06513f | ||
|
|
94b56b762f | ||
|
|
f51397838e | ||
|
|
16c71a94e4 | ||
|
|
22dcc668e5 | ||
|
|
543f609a99 | ||
|
|
27cf399d7e | ||
|
|
93f3454722 | ||
|
|
2916424825 | ||
|
|
6dcb8de304 | ||
|
|
3e62ab6e09 | ||
|
|
9b7be58d03 | ||
|
|
e2d45a9f84 | ||
|
|
2a9d075e35 | ||
|
|
340e75cb09 | ||
|
|
8bf28a6b3b | ||
|
|
e9d0c6bd01 | ||
|
|
9a19a7885e | ||
|
|
4f0634a317 | ||
|
|
7c89415d95 | ||
|
|
f13282536a | ||
|
|
2337e6365c | ||
|
|
74cdd76263 |
6 changed files with 3432 additions and 27 deletions
14
.gitignore
vendored
14
.gitignore
vendored
|
|
@ -1,2 +1,16 @@
|
|||
/varnish-modules-0.12.1.tar.gz
|
||||
/varnish-modules-0.15.0.tar.gz
|
||||
/varnish-modules-0032ed8.tar.gz
|
||||
/varnish-modules-0.16.0.tar.gz
|
||||
/varnish-modules-4d6593c.tar.gz
|
||||
/varnish-modules-0.17.1.tar.gz
|
||||
/varnish-modules-0.18.0.tar.gz
|
||||
/varnish-modules-0.19.0.tar.gz
|
||||
/varnish-modules-0.20.0.tar.gz
|
||||
/varnish-modules-0.21.0.tar.gz
|
||||
/varnish-modules-0.22.0.tar.gz
|
||||
/varnish-modules-0.24.0.tar.gz
|
||||
/varnish-modules-0.25.0.tar.gz
|
||||
/varnish-modules-0.26.0.tar.gz
|
||||
/varnish-modules-0.27.0.tar.gz
|
||||
/varnish-modules-0.28.0.tar.gz
|
||||
|
|
|
|||
2
sources
2
sources
|
|
@ -1 +1 @@
|
|||
SHA512 (varnish-modules-0.15.0.tar.gz) = f24bc7e00db8eb53e4730b9b6d9adb9442d26ad5b07f3e09541b686e41d437113b8bca75f9ac47bc0ec54475fafb0eefc46b98ccee92d9360aaf660b4826ec9e
|
||||
SHA512 (varnish-modules-0.28.0.tar.gz) = 796f95ea6f8b69f6e4fb3daf327c4a6cccc9b6c927d8daace753aad7e443c1f937020465924e472ad65bb0a10e2e5bf85b6228afe3257dbfba0091750fbf300a
|
||||
|
|
|
|||
44
varnish-0.15.0.add.bootstrap.patch
Normal file
44
varnish-0.15.0.add.bootstrap.patch
Normal file
|
|
@ -0,0 +1,44 @@
|
|||
--- /dev/null 2019-09-18 14:09:23.308277474 +0200
|
||||
+++ bootstrap 2019-09-24 09:55:24.218322744 +0200
|
||||
@@ -0,0 +1,41 @@
|
||||
+#!/bin/sh
|
||||
+
|
||||
+warn() {
|
||||
+ echo "WARNING: $@" 1>&2
|
||||
+}
|
||||
+
|
||||
+case `uname -s` in
|
||||
+Darwin)
|
||||
+ LIBTOOLIZE=glibtoolize
|
||||
+ ;;
|
||||
+FreeBSD)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+Linux)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+SunOS)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+*)
|
||||
+ warn "unrecognized platform:" `uname -s`
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+esac
|
||||
+
|
||||
+# check for varnishapi.m4 in custom paths
|
||||
+dataroot=$(pkg-config --variable=datarootdir varnishapi 2>/dev/null)
|
||||
+if [ -z "$dataroot" ] ; then
|
||||
+ cat >&2 <<'EOF'
|
||||
+Package varnishapi was not found in the pkg-config search path.
|
||||
+Perhaps you should add the directory containing `varnishapi.pc'
|
||||
+to the PKG_CONFIG_PATH environment variable
|
||||
+EOF
|
||||
+ exit 1
|
||||
+fi
|
||||
+set -ex
|
||||
+mkdir -p m4
|
||||
+aclocal -I m4 -I ${dataroot}/aclocal
|
||||
+$LIBTOOLIZE --copy --force
|
||||
+autoheader
|
||||
+automake --add-missing --copy --foreign
|
||||
+autoconf
|
||||
44
varnish-modules-0.15.0.add.bootstrap.patch
Normal file
44
varnish-modules-0.15.0.add.bootstrap.patch
Normal file
|
|
@ -0,0 +1,44 @@
|
|||
--- /dev/null 2019-09-28 14:48:27.937320545 +0200
|
||||
+++ bootstrap 2019-09-29 00:35:05.782099759 +0200
|
||||
@@ -0,0 +1,41 @@
|
||||
+#!/bin/sh
|
||||
+
|
||||
+warn() {
|
||||
+ echo "WARNING: $@" 1>&2
|
||||
+}
|
||||
+
|
||||
+case `uname -s` in
|
||||
+Darwin)
|
||||
+ LIBTOOLIZE=glibtoolize
|
||||
+ ;;
|
||||
+FreeBSD)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+Linux)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+SunOS)
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+ ;;
|
||||
+*)
|
||||
+ warn "unrecognized platform:" `uname -s`
|
||||
+ LIBTOOLIZE=libtoolize
|
||||
+esac
|
||||
+
|
||||
+# check for varnishapi.m4 in custom paths
|
||||
+dataroot=$(pkg-config --variable=datarootdir varnishapi 2>/dev/null)
|
||||
+if [ -z "$dataroot" ] ; then
|
||||
+ cat >&2 <<'EOF'
|
||||
+Package varnishapi was not found in the pkg-config search path.
|
||||
+Perhaps you should add the directory containing `varnishapi.pc'
|
||||
+to the PKG_CONFIG_PATH environment variable
|
||||
+EOF
|
||||
+ exit 1
|
||||
+fi
|
||||
+set -ex
|
||||
+mkdir -p m4
|
||||
+aclocal -I m4 -I ${dataroot}/aclocal
|
||||
+$LIBTOOLIZE --copy --force
|
||||
+autoheader
|
||||
+automake --add-missing --copy --foreign
|
||||
+autoconf
|
||||
File diff suppressed because it is too large
Load diff
|
|
@ -1,50 +1,55 @@
|
|||
%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)
|
||||
|
||||
%global docutils python3-docutils
|
||||
%global rst2man rst2man
|
||||
|
||||
Name: varnish-modules
|
||||
Version: 0.15.0
|
||||
Release: 6%{?dist}
|
||||
Version: 0.28.0
|
||||
Release: 5%{?dist}
|
||||
Summary: A collection of modules ("vmods") extending Varnish VCL
|
||||
|
||||
License: BSD
|
||||
URL: https://github.com/varnish/%{name}
|
||||
Source: https://download.varnish-software.com/varnish-modules/%{name}-%{version}.tar.gz
|
||||
Patch10: varnish-modules-0.15.0_fix_saintmode_for_varnish_6.1.patch
|
||||
Patch11: varnish-modules-0.15.0_fix_simple_formatting_bug.patch
|
||||
License: BSD-2-Clause
|
||||
URL: https://github.com/varnish/varnish-modules
|
||||
Source: https://github.com/varnish/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
|
||||
|
||||
BuildRequires: gcc
|
||||
BuildRequires: make
|
||||
BuildRequires: pkgconfig(varnishapi)
|
||||
BuildRequires: varnish
|
||||
|
||||
Requires: varnish
|
||||
# Build from a git checkout
|
||||
#BuildRequires: automake
|
||||
#BuildRequires: autoconf
|
||||
#BuildRequires: libtool
|
||||
BuildRequires: %docutils
|
||||
|
||||
Provides: vmod-bodyaccess = %{version}-%{release}
|
||||
Provides: vmod-cookie = %{version}-%{release}
|
||||
Provides: vmod-header = %{version}-%{release}
|
||||
Provides: vmod-saintmode = %{version}-%{release}
|
||||
Provides: vmod-tcp = %{version}-%{release}
|
||||
Provides: vmod-var = %{version}-%{release}
|
||||
Provides: vmod-vsthrottle = %{version}-%{release}
|
||||
Provides: vmod-xkey = %{version}-%{release}
|
||||
Requires: varnish = %varnishver
|
||||
|
||||
Provides: vmod(accept)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(bodyaccess)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(header)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(saintmode)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(tcp)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(var)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(vsthrottle)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(xkey)%{_isa} = %{version}-%{release}
|
||||
Provides: vmod(str)%{_isa} = %{version}-%{release}
|
||||
|
||||
%description
|
||||
This is a collection of modules ("vmods") extending Varnish VCL used
|
||||
for describing HTTP request/response policies with additional
|
||||
capabilities. This collection contains the following vmods (previously
|
||||
kept individually): cookie, vsthrottle, header, saintmode, softpurge,
|
||||
tcp, var, xkey
|
||||
capabilities. This collection contains the following vmods:
|
||||
bodyaccess, header, saintmode, tcp, var, vsthrottle, xkey
|
||||
|
||||
|
||||
%prep
|
||||
%setup -q
|
||||
%if "%varnishver" >= "6.1"
|
||||
%patch10 -p1
|
||||
%endif
|
||||
%patch11 -p1
|
||||
%autosetup
|
||||
|
||||
|
||||
%build
|
||||
%configure
|
||||
#sh bootstrap
|
||||
export RST2MAN=%{rst2man}
|
||||
%configure
|
||||
%make_build
|
||||
|
||||
|
||||
|
|
@ -55,16 +60,171 @@ rm %{buildroot}%{_pkgdocdir}/LICENSE # Rather use license macro
|
|||
|
||||
|
||||
%check
|
||||
%ifarch %ix86 %arm ppc
|
||||
# 64-bit specific test
|
||||
sed -i 's,tests/xkey/test12.vtc,,' src/Makefile
|
||||
%endif
|
||||
%make_build check VERBOSE=1
|
||||
|
||||
|
||||
%files
|
||||
%doc docs AUTHORS CHANGES.rst COPYING README.rst
|
||||
#doc docs AUTHORS CHANGES.rst COPYING README.rst
|
||||
%doc AUTHORS CHANGES.rst COPYING README.md
|
||||
%license LICENSE
|
||||
%{_libdir}/varnish/vmods/*
|
||||
%{_mandir}/man3/*.3*
|
||||
|
||||
|
||||
%changelog
|
||||
* Fri Jul 17 2026 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-5
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_45_Mass_Rebuild
|
||||
|
||||
* Thu May 21 2026 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.28.0-4
|
||||
- Built for varnish-9.0.3
|
||||
|
||||
* Fri May 15 2026 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.28.0-3
|
||||
- Built for varnish-9.0.2
|
||||
|
||||
* Thu Apr 30 2026 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.28.0-2
|
||||
- Built for varnish-9.0.1
|
||||
|
||||
* Mon Apr 13 2026 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.28.0-1
|
||||
- New upstream release varnish-modules-0.28.0, built for varnish-9.0.0
|
||||
|
||||
* Sat Jan 17 2026 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild
|
||||
|
||||
* Mon Jan 05 2026 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.27.0-1
|
||||
- New upstream release varnish-modules-0.27.0
|
||||
|
||||
* Wed Nov 19 2025 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.26.0-5
|
||||
- Rebuilt for varnish-7.7.3-2, rhbz#2407456
|
||||
|
||||
* Mon Sep 15 2025 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.26.0-4
|
||||
- Rebuilt for varnish-7.7.3
|
||||
|
||||
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
|
||||
|
||||
* Sun May 25 2025 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.26.1-2
|
||||
- Rebuilt for varnish-7.7.1
|
||||
|
||||
* Wed Mar 26 2025 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.26.0-1
|
||||
- New upstream release for varnish-7.7.0
|
||||
|
||||
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
|
||||
|
||||
* Fri Dec 06 2024 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.25.0-2
|
||||
- Rebuilt for varnish-7.6.1
|
||||
|
||||
* Tue Sep 17 2024 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.25.0-1
|
||||
- New upsteam release matching varnish-7.6.0
|
||||
|
||||
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.0-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
|
||||
|
||||
* Tue Apr 02 2024 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.24.0
|
||||
- New upstream release matching varnish-7.5.0
|
||||
|
||||
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-5
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
|
||||
|
||||
* Wed Nov 15 2023 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.22.0-4
|
||||
- Rebuilt for varnish-7.4.2
|
||||
|
||||
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
|
||||
|
||||
* Tue Jun 06 2023 Luboš Uhliarik <luhliari@redhat.com> - 0.22.0-2
|
||||
- SPDX migration
|
||||
|
||||
* Sun Mar 19 2023 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.22.0-1
|
||||
- New upstream release
|
||||
- Built for varnish-7.3.0
|
||||
|
||||
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
|
||||
|
||||
* Sun Nov 13 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.21.0-2
|
||||
- Built for varnish-7.2.1
|
||||
|
||||
* Mon Sep 26 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.21.0-1
|
||||
- New upstream release
|
||||
- Removed unused macros from specfile
|
||||
- Built for varnish-7.2.0
|
||||
|
||||
* Mon Aug 15 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.20.0-3
|
||||
- Built for varnish-7.1.1
|
||||
|
||||
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
|
||||
|
||||
* Tue Mar 29 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.20.0-1
|
||||
- Built for varnish-7.1.0
|
||||
- Now provides vmod(name) instead of vmod-name, matching varnish' provides
|
||||
|
||||
* Thu Feb 10 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.19.0-4
|
||||
- Built for varnish-7.0.2
|
||||
|
||||
* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
|
||||
|
||||
* Tue Jan 18 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.19.0-2
|
||||
- Built for varnish-7.0.1
|
||||
|
||||
* Thu Sep 23 2021 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.19.0-1
|
||||
- New upstream release
|
||||
- Built for varnish-7.0.0
|
||||
|
||||
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
|
||||
|
||||
* Sat Jul 17 2021 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.18.0-2
|
||||
- Rebuilt for varnish-6.6.1
|
||||
|
||||
* Tue May 18 2021 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.18.0-1
|
||||
- New upstream release
|
||||
- Rebuilt for varnish-6.6.0
|
||||
|
||||
* Wed Mar 17 2021 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.17.1-1
|
||||
- New upstream release
|
||||
- Switched back to original varnish github upstream, as it has catched up
|
||||
- Includes fix for CVE-2021-28543, VSV00006, bz#1939669
|
||||
|
||||
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.3.klarlack.20200916git4d6593c
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
|
||||
|
||||
* Tue Sep 29 2020 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.17.0-0.2.klarlack.20200916git
|
||||
- Rebuilt for varnish-6.5.1
|
||||
|
||||
* Wed Sep 16 2020 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.17.0-0.1.klarlack.20200916git
|
||||
- Switched upstream to Nils Goroll's fork which is the defacto current upstream
|
||||
- Synced description to reality
|
||||
- This is a snapshot build that needs autotools for building
|
||||
- Rebuilt for varnish-6.5.0
|
||||
|
||||
* Mon Aug 17 2020 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.16.0-3
|
||||
- Rebuilt for varnish-6.4.0
|
||||
|
||||
* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
|
||||
|
||||
* Sat Mar 28 2020 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.16.0-1
|
||||
- New upstream release
|
||||
|
||||
* Tue Mar 17 2020 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.16.0-0.1.20200317git21d0c84
|
||||
- Snapshot from 6.4 branch, rebuilt against varnish-6.4.0
|
||||
- Removed patches merged upstream
|
||||
- Delete 64-bit specific test on 32-bit arches
|
||||
|
||||
* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-8
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
|
||||
|
||||
* Sun Sep 29 2019 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.15.0-7
|
||||
- Added patch from Nils Goroll, compatibility for varnish-6.3, closes bz#1736943
|
||||
- Rebuilt against varnish-6.3.0
|
||||
|
||||
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-6
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
|
||||
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue